import {
  getAssignedVehicleModel, getAssignedWay,
  getAssignedVehicle, getAssignedVehicleType, getOperationVehicleList
} from "@/request/assigned_manage.js";
import { ref } from "vue";
import { getLevels } from "@/request/data_dictionary.js";

export const layoutFnGetAssignedType = async () => {  // 过户类型
  const resData = await getLevels({
    DICTIONARIES_ID: "0000ad963949823e8c9501bab16001aa",
  });
  return ref(resData.list);
};
export const layoutFnGetAssignedWay = async () => {  // 过户方式
  const resData = await getAssignedWay({
    DICTIONARIES_ID: "0000ad9639498275391501bab16001aa",
  });
  return ref(resData.list);
};

export const layoutFnGetAssignedVehicleModel = async () => {  // 过户车型
  const resData = await getAssignedVehicleModel({
    DICTIONARIES_ID: "78452f4ec77e4d98ae8cdd9c3386ae0c",
  });
  return ref(resData.list);
};
export const layoutFnGetAssignedVehicle = async () => {  // 过户车型
  const resData = await getAssignedVehicle({
    DICTIONARIES_ID: "0000ad963951053e8c9501bab16001aa",
  });
  return ref(resData.list);
};

export const layoutFnGetAssignedVehicleType = async () => {  // 过户车型
  const resData = await getAssignedVehicleType({
    DICTIONARIES_ID: "08411f2b259a45681512dfad07c4f11a",
  });
  return ref(resData.list);
};

export const layoutFnGetOperationVehicleList = async () => {
  const resData = await getOperationVehicleList({
  });
  return ref(resData.list);
};
